MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028388Community[OCCT] OCCT:Modeling Algorithmspublic2017-01-25 11:582017-12-04 20:56
ReporterMarkus 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028388: Boolean common of simple face and solid results in empty compound
DescriptionFor the appended case the Boolean common operation results in an empty compound. All checks say that the geometry is valid. Furthermore, the geometry is quite simple. When looking at the intersections the intersections of two planes with the solid are missing. When a slightly bigger face is created, the result is OK (see extKO.brep vs. extOK.brep).
Steps To Reproducepload ALL

restore extKO.brep e
explode e
whatis e_1
whatis e_2
tolerance e_1
tolerance e_2
checkshape e_1
checkshape e_2
bopcheck e_1
bopcheck e_2
bopargcheck e_1 e_2 -O #F
bop e_1 e_2
bopcommon r
whatis r
explode r
#=> empty compound

restore extOK.brep e
explode e
whatis e_1
whatis e_2
tolerance e_1
tolerance e_2
checkshape e_1
checkshape e_2
bopcheck e_1
bopcheck e_2
bopargcheck e_1 e_2 -O #F
bop e_1 e_2
bopcommon r
whatis r
explode r
TagsNo tags attached.
Test case numberbugs modalg_7 bug28388_1, bug28388_2
Attached Files? file icon extKO.brep (167,231 bytes) 2017-01-25 11:58
? file icon extOK.brep (167,250 bytes) 2017-01-25 11:59

- Relationships

-  Notes
(0070048)
git (administrator)
2017-08-29 14:20

Branch CR28388 has been created by mkv.

SHA-1: f913f2e6b22d67c305c83e677b5b62eafbabc842


Detailed log of new commits:

Author: mkv
Date: Tue Aug 29 14:20:05 2017 +0300

    0028388: Boolean common of simple face and solid results in empty compound
(0070050)
git (administrator)
2017-08-29 14:34

Branch CR28388 has been updated forcibly by mkv.

SHA-1: 1840339a8dd5ab3e62487c61d8d84ab99e17cc02
(0070051)
mkv (tester)
2017-08-29 14:37

Dear BugMaster,
Test cases bugs modalg_7 bug28388_1,bug28388_2 are OK on current master.
(0070053)
mkv (tester)
2017-08-29 14:38

Dear BugMaster,
Branch CR28388 from occt git-repository is TESTED.
(0070182)
git (administrator)
2017-09-04 18:20

Branch CR28388 has been deleted by kgv.

SHA-1: 1840339a8dd5ab3e62487c61d8d84ab99e17cc02

- Related Changesets
occt: master 80070d49
Timestamp: 2017-08-29 11:34:28
Author: mkv
Committer: bugmaster
Details ] Diff ]
0028388: Boolean common of simple face and solid results in empty compound

Problem is not reproduced on current master. Issue must be closed on 7.2.0.
Test case was added only
add - tests/bugs/modalg_7/bug28388_1 Diff ] File ]
add - tests/bugs/modalg_7/bug28388_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-25 11:58 Timo New Issue
2017-01-25 11:58 Timo Assigned To => msv
2017-01-25 11:58 Timo File Added: extKO.brep
2017-01-25 11:59 Timo File Added: extOK.brep
2017-05-31 15:35 Timo Reporter Timo => Markus
2017-07-21 11:16 msv Target Version 7.2.0 => 7.2.1
2017-08-29 14:20 git Note Added: 0070048
2017-08-29 14:34 git Note Added: 0070050
2017-08-29 14:37 mkv Note Added: 0070051
2017-08-29 14:37 mkv Assigned To msv => bugmaster
2017-08-29 14:37 mkv Status new => feedback
2017-08-29 14:38 mkv Test case number => bugs modalg_7 bug28388_1, bug28388_2
2017-08-29 14:38 mkv Note Added: 0070053
2017-08-29 14:38 mkv Status feedback => tested
2017-08-31 18:37 bugmaster Changeset attached => occt master 80070d49
2017-08-31 18:37 bugmaster Status tested => verified
2017-08-31 18:37 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070182
2017-12-04 20:56 kgv Fixed in Version => 7.2.0
2017-12-04 20:56 kgv Target Version 7.2.1 => 7.2.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker